> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-co-order.md).

# Place CO Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceCOOrder`

**QUERY PARAMETERS**

| Request Parameter | Description    | Mandatory |
| ----------------- | -------------- | --------- |
| broker            | Broker Code    | Yes       |
| strategy          | Strategy Name  | Yes       |
| exchange          | Exchange name  | Yes       |
| symbol            | Trading Symbol | Yes       |
| action            | Action         | Yes       |
| pricetype         | Price Type     | Yes       |
| quantity          | Quantity       | Yes       |
| price             | Price          | Yes       |
| stop\_price       | Stop Price     | Yes       |

{% code title="# Here is a curl example" %}

```
curl \
-X POST https://amapi.algomojo.com/v1/PlaceCOOrder
```

{% endcode %}

{% code title="Request example :" %}

```
 {   
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
     {
         "broker":"zb",
         "strategy":"Test Strategy",
         "exchange":"NSE",
         "symbol":"YESBANK-EQ",
         "action":"BUY",
         "pricetype":"MARKET",
         "quantity":"10",
         "price":"0",
         "stop_price":"10"
     }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 {
     "status": "success",
     "data": {
         "broker": "ZB",
         "orderid": "2474578766623"
     }
 }
```

{% endcode %}
